Bug 11431 - Custom notification sounds
Summary: Custom notification sounds
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Staff Client (show other bugs)
Version: master
Hardware: All All
: P5 - low new feature
Assignee: Kyle M Hall
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on: 13019
Blocks: 15733
  Show dependency treegraph
 
Reported: 2013-12-20 18:47 UTC by Melissa Lefebvre
Modified: 2016-08-12 19:21 UTC (History)
18 users (show)

See Also:
Change sponsored?: Sponsored
Patch complexity: ---
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 11431 [1] - Replace existing system with no change in functionality (13.90 KB, patch)
2014-06-19 14:04 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 11431 [2] - Rename soundon to AudioAlerts, move to it's own preference section (5.49 KB, patch)
2014-06-19 14:04 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 11431 [3] - Add ability to customize the warning, action, and success sounds (5.14 KB, patch)
2014-06-19 14:04 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 11431 [4] - Add the ability to choose the elements that trigger an audio alert (5.27 KB, patch)
2014-06-19 14:04 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 11431 [5] - Update sysprefs.sql (3.77 KB, patch)
2014-06-19 14:04 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 11431 [1] - Replace existing system with no change in functionality (13.91 KB, patch)
2014-06-19 14:13 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 11431 [2] - Rename soundon to AudioAlerts, move to it's own preference section (5.49 KB, patch)
2014-06-19 14:13 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 11431 [3] - Add ability to customize the warning, action, and success sounds (5.14 KB, patch)
2014-06-19 14:13 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 11431 [4] - Add the ability to choose the elements that trigger an audio alert (5.27 KB, patch)
2014-06-19 14:13 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 11431 [5] - Update sysprefs.sql (3.77 KB, patch)
2014-06-19 14:13 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 11431 [6] - Add the ability to specify arbitarary audio alerts (7.34 KB, patch)
2014-06-20 18:50 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 11431 [6] - Add the ability to specify arbitrary audio alerts (7.34 KB, patch)
2014-06-20 18:51 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 11431 [6] - Add the ability to specify arbitrary audio alerts (8.57 KB, patch)
2014-07-01 11:57 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 11431 [1] - Replace existing system with no change in functionality (12.17 KB, patch)
2014-07-16 18:10 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 11431 [2] - Rename soundon to AudioAlerts, move to it's own preference section (5.35 KB, patch)
2014-07-16 18:11 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 11431 [3] - Add ability to customize the warning, action, and success sounds (5.14 KB, patch)
2014-07-16 18:11 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 11431 [4] - Add the ability to choose the elements that trigger an audio alert (5.27 KB, patch)
2014-07-16 18:11 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 11431 [5] - Update sysprefs.sql (3.77 KB, patch)
2014-07-16 18:11 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 11431 [6] - Add the ability to specify arbitrary audio alerts (8.57 KB, patch)
2014-07-16 18:11 UTC, Kyle M Hall
Details | Diff | Splinter Review
[SIGNED OFF] Bug 11431 [1] - Replace existing system with no change in functionality (12.24 KB, patch)
2014-08-25 16:40 UTC, Nick Clemens
Details | Diff | Splinter Review
[SIGNED OFF] Bug 11431 [2] - Rename soundon to AudioAlerts, move to it's own preference section (5.45 KB, patch)
2014-08-25 16:40 UTC, Nick Clemens
Details | Diff | Splinter Review
[SIGNED OFF] Bug 11431 [3] - Add ability to customize the warning, action, and success sounds (5.23 KB, patch)
2014-08-25 16:40 UTC, Nick Clemens
Details | Diff | Splinter Review
[SIGNED OFF] Bug 11431 [4] - Add the ability to choose the elements that trigger an audio alert (5.35 KB, patch)
2014-08-25 16:40 UTC, Nick Clemens
Details | Diff | Splinter Review
[SIGNED OFF] Bug 11431 [5] - Update sysprefs.sql (3.86 KB, patch)
2014-08-25 16:41 UTC, Nick Clemens
Details | Diff | Splinter Review
[SIGNED OFF] Bug 11431 [6] - Add the ability to specify arbitrary audio alerts (8.73 KB, patch)
2014-08-25 16:41 UTC, Nick Clemens
Details | Diff | Splinter Review
Bug 11431 [1] - Replace existing system with no change in functionality (12.24 KB, patch)
2014-12-22 18:50 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 11431 [2] - Rename soundon to AudioAlerts, move to it's own preference section (5.40 KB, patch)
2014-12-22 18:50 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 11431 [3] - Add ability to customize the warning, action, and success sounds (5.20 KB, patch)
2014-12-22 18:50 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 11431 [4] - Add the ability to choose the elements that trigger an audio alert (5.33 KB, patch)
2014-12-22 18:50 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 11431 [5] - Update sysprefs.sql (3.85 KB, patch)
2014-12-22 18:50 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 11431 [6] - Add the ability to specify arbitrary audio alerts (8.71 KB, patch)
2014-12-22 18:51 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 11431 [7] - Add new table for audio alerts (15.38 KB, patch)
2014-12-22 18:51 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 11431 [8] - Add audio alerts editor (20.98 KB, patch)
2014-12-22 18:51 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 11431 [9] - Remove new system preferences that are no longer needed (4.66 KB, patch)
2014-12-22 18:51 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 11431 - Update database (4.45 KB, patch)
2014-12-22 19:12 UTC, Kyle M Hall
Details | Diff | Splinter Review
Add audio alerts to installer (7.87 KB, patch)
2014-12-22 19:12 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 11431 - Update schema (2.01 KB, patch)
2014-12-22 19:12 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 11431 - Add additional sound options (34.76 KB, patch)
2014-12-22 19:12 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 11431 [1] - Update database (4.46 KB, patch)
2014-12-22 19:14 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 11431 [2] - Add audio alerts to installer (7.89 KB, patch)
2014-12-22 19:14 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 11431 [3] - Update schema (2.02 KB, patch)
2014-12-22 19:14 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 11431 [4] - Add additional sound options (34.76 KB, patch)
2014-12-22 19:14 UTC, Kyle M Hall
Details | Diff | Splinter Review
[SIGNED OFF]Bug 11431 [1] - Update database (4.52 KB, patch)
2014-12-27 14:22 UTC, Nick Clemens
Details | Diff | Splinter Review
[SIGNED OFF]Bug 11431 [2] - Add audio alerts to installer (8.01 KB, patch)
2014-12-27 14:22 UTC, Nick Clemens
Details | Diff | Splinter Review
[SIGNED OFF]Bug 11431 [3] - Update schema (2.07 KB, patch)
2014-12-27 14:22 UTC, Nick Clemens
Details | Diff | Splinter Review
[SIGNED OFF]Bug 11431 [4] - Add additional sound options (34.83 KB, patch)
2014-12-27 14:23 UTC, Nick Clemens
Details | Diff | Splinter Review
Bug 11431 [1] - Update database (4.58 KB, patch)
2015-01-02 13:19 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 11431 [2] - Add audio alerts to installer (7.94 KB, patch)
2015-01-02 13:19 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 11431 [3] - Update schema (2.07 KB, patch)
2015-01-02 13:19 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 11431 [4] - Add additional sound options (34.72 KB, patch)
2015-01-02 13:19 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 11431 [1] - Update database (4.61 KB, patch)
2015-02-11 15:49 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 11431 [2] - Add audio alerts to installer (7.94 KB, patch)
2015-02-11 15:49 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 11431 [3] - Update schema (2.07 KB, patch)
2015-02-11 15:49 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 11431 [4] - Add additional sound options (35.27 KB, patch)
2015-02-11 15:49 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 11431 [QA Followup] - Allow https in sound URLs (1.09 KB, patch)
2015-04-27 11:50 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 11431 [QA Followup] - Fix POD (961 bytes, patch)
2015-04-27 11:53 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 11431 [1] - Update database (4.71 KB, patch)
2015-06-30 11:10 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 11431 [2] - Add audio alerts to installer (7.94 KB, patch)
2015-06-30 11:10 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 11431 [3] - Update schema (2.07 KB, patch)
2015-06-30 11:10 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 11431 [4] - Add additional sound options (34.48 KB, patch)
2015-06-30 11:10 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 11431 [QA Followup] - Allow https in sound URLs (1.09 KB, patch)
2015-06-30 11:10 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 11431 [QA Followup] - Fix POD (2.04 KB, patch)
2015-06-30 11:10 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 11431 - Update UsageStats.pm (700 bytes, patch)
2015-06-30 11:13 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 11431 [QA Followup] - Fix js error (1.02 KB, patch)
2015-08-18 18:23 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 11431 [QA Followup] - Unit Tests (5.98 KB, patch)
2015-08-19 11:55 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 11431 [QA Followup] - Simplify audio_alert_id to just id (3.07 KB, patch)
2015-08-19 12:02 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 11431 [1] - Update database (4.71 KB, patch)
2015-09-17 14:33 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 11431 [2] - Add audio alerts to installer (7.94 KB, patch)
2015-09-17 14:33 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 11431 [3] - Update schema (2.07 KB, patch)
2015-09-17 14:33 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 11431 [4] - Add additional sound options (34.65 KB, patch)
2015-09-17 14:33 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 11431 [QA Followup] - Allow https in sound URLs (1.09 KB, patch)
2015-09-17 14:33 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 11431 [QA Followup] - Fix POD (2.04 KB, patch)
2015-09-17 14:33 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 11431 - Update UsageStats.pm (700 bytes, patch)
2015-09-17 14:33 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 11431 [QA Followup] - Fix js error (1.02 KB, patch)
2015-09-17 14:33 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 11431 [QA Followup] - Unit Tests (5.98 KB, patch)
2015-09-17 14:33 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 11431 [QA Followup] - Simplify audio_alert_id to just id (3.07 KB, patch)
2015-09-17 14:34 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 11431 [QA Followup] - Move AudioAlerts to a separate plugin (3.45 KB, patch)
2015-09-17 15:05 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 11431 [QA Followup] - Hard code list of sounds for security (3.29 KB, patch)
2015-09-17 15:05 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 11431 [QA Followup] - Fix alter precedences on delete (899 bytes, patch)
2015-09-18 10:36 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 11431 [1] - Update database (4.73 KB, patch)
2015-10-22 12:44 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 11431 [2] - Add audio alerts to installer (7.94 KB, patch)
2015-10-22 12:44 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 11431 [3] - Update schema (2.07 KB, patch)
2015-10-22 12:44 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 11431 [4] - Add additional sound options (34.67 KB, patch)
2015-10-22 12:44 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 11431 [QA Followup] - Allow https in sound URLs (1.09 KB, patch)
2015-10-22 12:44 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 11431 [QA Followup] - Fix POD (2.04 KB, patch)
2015-10-22 12:44 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 11431 - Update UsageStats.pm (700 bytes, patch)
2015-10-22 12:44 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 11431 [QA Followup] - Fix js error (1.02 KB, patch)
2015-10-22 12:45 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 11431 [QA Followup] - Unit Tests (5.98 KB, patch)
2015-10-22 12:45 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 11431 [QA Followup] - Simplify audio_alert_id to just id (3.08 KB, patch)
2015-10-22 12:45 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 11431 [QA Followup] - Move AudioAlerts to a separate plugin (3.45 KB, patch)
2015-10-22 12:45 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 11431 [QA Followup] - Hard code list of sounds for security (3.29 KB, patch)
2015-10-22 12:45 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 11431 [QA Followup] - Fix alter precedences on delete (899 bytes, patch)
2015-10-22 12:45 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 11431 [QA Followup] - Always allow audio alerts for audio alerts editor page (1.48 KB, patch)
2015-10-23 11:06 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 11431 [QA Followup] - Add ability to edit audio alerts (5.79 KB, patch)
2015-10-23 11:55 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 11431 [QA Followup] - Update help (1.72 KB, patch)
2015-10-23 12:16 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 11431 [QA Followup] - Add ability to edit audio alerts (6.03 KB, patch)
2015-10-23 12:25 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 11431 [QA Followup] - Update help (1.72 KB, patch)
2015-10-23 12:25 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 11431 [QA Followup] - Update help (1.72 KB, patch)
2015-10-23 12:31 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 11431 [QA Followup] - Add ability to edit audio alerts (6.15 KB, patch)
2015-10-23 12:31 UTC, Kyle M Hall
Details | Diff | Splinter Review
[PASSED QA] Bug 11431 [1] - Update database (4.79 KB, patch)
2015-10-24 10:04 UTC, Katrin Fischer
Details | Diff | Splinter Review
[PASSED QA] Bug 11431 [2] - Add audio alerts to installer (8.02 KB, patch)
2015-10-24 10:04 UTC, Katrin Fischer
Details | Diff | Splinter Review
[PASSED QA] Bug 11431 [3] - Update schema (2.12 KB, patch)
2015-10-24 10:04 UTC, Katrin Fischer
Details | Diff | Splinter Review
[PASSED QA] Bug 11431 [4] - Add additional sound options (34.72 KB, patch)
2015-10-24 10:04 UTC, Katrin Fischer
Details | Diff | Splinter Review
[PASSED QA] Bug 11431 [QA Followup] - Allow https in sound URLs (1.15 KB, patch)
2015-10-24 10:05 UTC, Katrin Fischer
Details | Diff | Splinter Review
[PASSED QA] Bug 11431 [QA Followup] - Fix POD (2.11 KB, patch)
2015-10-24 10:05 UTC, Katrin Fischer
Details | Diff | Splinter Review
[PASSED QA] Bug 11431 - Update UsageStats.pm (761 bytes, patch)
2015-10-24 10:05 UTC, Katrin Fischer
Details | Diff | Splinter Review
[PASSED QA] Bug 11431 [QA Followup] - Fix js error (1.08 KB, patch)
2015-10-24 10:05 UTC, Katrin Fischer
Details | Diff | Splinter Review
[PASSED QA] Bug 11431 [QA Followup] - Unit Tests (6.04 KB, patch)
2015-10-24 10:05 UTC, Katrin Fischer
Details | Diff | Splinter Review
[PASSED QA] Bug 11431 [QA Followup] - Simplify audio_alert_id to just id (3.14 KB, patch)
2015-10-24 10:05 UTC, Katrin Fischer
Details | Diff | Splinter Review
[PASSED QA] Bug 11431 [QA Followup] - Move AudioAlerts to a separate plugin (3.51 KB, patch)
2015-10-24 10:05 UTC, Katrin Fischer
Details | Diff | Splinter Review
[PASSED QA] Bug 11431 [QA Followup] - Hard code list of sounds for security (3.35 KB, patch)
2015-10-24 10:05 UTC, Katrin Fischer
Details | Diff | Splinter Review
[PASSED QA] Bug 11431 [QA Followup] - Fix alter precedences on delete (962 bytes, patch)
2015-10-24 10:05 UTC, Katrin Fischer
Details | Diff | Splinter Review
[PASSED QA] Bug 11431 [QA Followup] - Always allow audio alerts for audio alerts editor page (1.56 KB, patch)
2015-10-24 10:05 UTC, Katrin Fischer
Details | Diff | Splinter Review
[PASSED QA] Bug 11431 [QA Followup] - Update help (1.79 KB, patch)
2015-10-24 10:05 UTC, Katrin Fischer
Details | Diff | Splinter Review
[PASSED QA] Bug 11431 [QA Followup] - Add ability to edit audio alerts (6.21 KB, patch)
2015-10-24 10:05 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 11431: QA follow-up: Typo in help file / variable name (3.06 KB, patch)
2015-10-24 10:06 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 11431 [QA Followup] - Make audio alerts sql top level (8.40 KB, patch)
2015-11-04 15:12 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 11431 [1] - Update database (4.72 KB, patch)
2015-11-04 15:15 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 11431 [2] - Add audio alerts to installer (8.00 KB, patch)
2015-11-04 15:15 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 11431 [3] - Update schema (2.13 KB, patch)
2015-11-04 15:15 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 11431 [4] - Add additional sound options (34.83 KB, patch)
2015-11-04 15:15 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 11431 [QA Followup] - Allow https in sound URLs (1.14 KB, patch)
2015-11-04 15:15 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 11431 [QA Followup] - Fix POD (2.09 KB, patch)
2015-11-04 15:15 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 11431 - Update UsageStats.pm (757 bytes, patch)
2015-11-04 15:15 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 11431 [QA Followup] - Fix js error (1.08 KB, patch)
2015-11-04 15:15 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 11431 [QA Followup] - Unit Tests (6.03 KB, patch)
2015-11-04 15:16 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 11431 [QA Followup] - Simplify audio_alert_id to just id (3.12 KB, patch)
2015-11-04 15:16 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 11431 [QA Followup] - Move AudioAlerts to a separate plugin (3.50 KB, patch)
2015-11-04 15:16 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 11431 [QA Followup] - Hard code list of sounds for security (3.34 KB, patch)
2015-11-04 15:16 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 11431 [QA Followup] - Fix alter precedences on delete (956 bytes, patch)
2015-11-04 15:16 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 11431 [QA Followup] - Always allow audio alerts for audio alerts editor page (1.54 KB, patch)
2015-11-04 15:16 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 11431 [QA Followup] - Update help (1.77 KB, patch)
2015-11-04 15:16 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 11431 [QA Followup] - Add ability to edit audio alerts (6.20 KB, patch)
2015-11-04 15:16 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 11431: QA follow-up: Typo in help file / variable name (3.03 KB, patch)
2015-11-04 15:16 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 11431 [QA Followup] - Make audio alerts sql top level (8.40 KB, patch)
2015-11-04 15:16 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 11431: (QA followup) remove diags (5.05 KB, patch)
2015-11-06 18:11 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review
Bug 11431: (follow-up) Update database (1.78 KB, patch)
2015-11-25 13:20 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Melissa Lefebvre 2013-12-20 18:47:19 UTC
It would be nice if Koha had a library of sounds to choose from and then apply to various yellow box warnings.  This should also include a page in the administration area where staff could choose which sound to be played for each action.
Comment 1 Kyle M Hall 2013-12-20 18:51:57 UTC
I think we can do this in a fairly elegant way:
1) Identify all triggers of existing sounds
2) Strip out existing html for playing sounds
3) Make those existing sound-triggering dialogs with a class "audio-success", "audio-error"
4) Add a new "warning" sound
5) Add the class "audio-alert" to those dialogs that should trigger the new audio sound
6) Modify the header include to trigger the respective sound if an element with one of these classes is present on the page via jquery ( if soundon is enabled of course )
7) Rename soundon to something more sensible ( eg UseSounds, UseAudioAlerts, etc )
Comment 2 Kyle M Hall 2013-12-20 19:06:04 UTC
8) Add three new system preferences to define urls to override these sounds with. If left empty, the default sounds will be used
Comment 3 Paul Poulain 2013-12-20 20:40:40 UTC
In your idea, will sounds be activable independently ? For example, I would like to have a sound at check-out, but NOT at check-in. Or I would like to have a sound at check-in only if there's a hold. If everything is OK, I don't want any sound.
Will it be possible ?
Comment 4 Peggy Thrasher 2013-12-30 19:40:46 UTC
I have just been asked to make only the "Not Checked Out" sound different from the other check in message sounds.  Other libraries may want a different sound for "Item was lost, now found".  Will your solution accommodate that?
Comment 5 Kyle M Hall 2014-06-19 14:04:34 UTC
Created attachment 29030 [details] [review]
Bug 11431 [1] - Replace existing system with no change in functionality

This patch set adds the ability to select which sounds are used for
Koha's audio alerts, and which elements trigger those audio alerts.

Test Plan:
1) Apply this patch set
2) Run updatedatabase.pl
3) Enable the AudioAlerts system preference
4) Test existing sounds
5) Set the various OverrideAudioAlert preferences to different sounds
6) Retest, verify new sounds play
7) Add/remove selectors from the AudioAlertSelector system preferences
8) Observe the difference in audio alert behavior based on your selections
Comment 6 Kyle M Hall 2014-06-19 14:04:37 UTC
Created attachment 29031 [details] [review]
Bug 11431 [2] - Rename soundon to AudioAlerts, move to it's own preference section
Comment 7 Kyle M Hall 2014-06-19 14:04:40 UTC
Created attachment 29032 [details] [review]
Bug 11431 [3] - Add ability to customize the warning, action, and success sounds
Comment 8 Kyle M Hall 2014-06-19 14:04:42 UTC
Created attachment 29033 [details] [review]
Bug 11431 [4] - Add the ability to choose the elements that trigger an audio alert
Comment 9 Kyle M Hall 2014-06-19 14:04:45 UTC
Created attachment 29034 [details] [review]
Bug 11431 [5] - Update sysprefs.sql
Comment 10 Kyle M Hall 2014-06-19 14:13:18 UTC
Created attachment 29035 [details] [review]
Bug 11431 [1] - Replace existing system with no change in functionality

This patch set adds the ability to select which sounds are used for
Koha's audio alerts, and which elements trigger those audio alerts.

Test Plan:
1) Apply this patch set
2) Run updatedatabase.pl
3) Enable the AudioAlerts system preference
4) Test existing sounds
5) Set the various OverrideAudioAlert preferences to different sounds
6) Retest, verify new sounds play
7) Add/remove selectors from the AudioAlertSelector system preferences
8) Observe the difference in audio alert behavior based on your selections
Comment 11 Kyle M Hall 2014-06-19 14:13:39 UTC
Created attachment 29036 [details] [review]
Bug 11431 [2] - Rename soundon to AudioAlerts, move to it's own preference section
Comment 12 Kyle M Hall 2014-06-19 14:13:41 UTC
Created attachment 29037 [details] [review]
Bug 11431 [3] - Add ability to customize the warning, action, and success sounds
Comment 13 Kyle M Hall 2014-06-19 14:13:44 UTC
Created attachment 29038 [details] [review]
Bug 11431 [4] - Add the ability to choose the elements that trigger an audio alert
Comment 14 Kyle M Hall 2014-06-19 14:13:46 UTC
Created attachment 29039 [details] [review]
Bug 11431 [5] - Update sysprefs.sql
Comment 15 Kyle M Hall 2014-06-20 18:50:50 UTC
Created attachment 29119 [details] [review]
Bug 11431 [6] - Add the ability to specify arbitarary audio alerts

This patch further enhances our control over Koha audio alerts by
allowing a library to specify custom audio events. A new system
preference is added the combines the functions of the Selector and
Override systems preferences in a list of selector:sound combinations.
These definitions override the default sounds and thus gives the library
a way to completely redefine what events trigger and audio alert, and
what sounds are played!

Test Plan:
1) Apply this patch
2) Run updatedatabase.pl
3) Edit the new AudioAlertsCustom system preference and enter the following:
"body:contains('Check in message')": "IM_notification.ogg"
4) Browse to the checkins page, you should hear the default sound
5) Attempt to return an invalid barcode, you should hear your custom sound!
Comment 16 Kyle M Hall 2014-06-20 18:51:29 UTC
Created attachment 29120 [details] [review]
Bug 11431 [6] - Add the ability to specify arbitrary audio alerts

This patch further enhances our control over Koha audio alerts by
allowing a library to specify custom audio events. A new system
preference is added the combines the functions of the Selector and
Override systems preferences in a list of selector:sound combinations.
These definitions override the default sounds and thus gives the library
a way to completely redefine what events trigger and audio alert, and
what sounds are played!

Test Plan:
1) Apply this patch
2) Run updatedatabase.pl
3) Edit the new AudioAlertsCustom system preference and enter the following:
"body:contains('Check in message')": "IM_notification.ogg"
4) Browse to the checkins page, you should hear the default sound
5) Attempt to return an invalid barcode, you should hear your custom sound!
Comment 17 Kyle M Hall 2014-06-23 14:50:49 UTC
(In reply to Paul Poulain from comment #3)
> In your idea, will sounds be activable independently ? For example, I would
> like to have a sound at check-out, but NOT at check-in. Or I would like to
> have a sound at check-in only if there's a hold. If everything is OK, I
> don't want any sound.
> Will it be possible ?

Yes! The last patch in this series give you full control of what events trigger an audio alert!
Comment 18 Kyle M Hall 2014-06-23 14:51:36 UTC
(In reply to Peggy Thrasher from comment #4)
> I have just been asked to make only the "Not Checked Out" sound different
> from the other check in message sounds.  Other libraries may want a
> different sound for "Item was lost, now found".  Will your solution
> accommodate that?

Yep! See the comment above this one!

Kyle
Comment 19 Kyle M Hall 2014-07-01 11:57:09 UTC
Created attachment 29404 [details] [review]
Bug 11431 [6] - Add the ability to specify arbitrary audio alerts

This patch further enhances our control over Koha audio alerts by
allowing a library to specify custom audio events. A new system
preference is added the combines the functions of the Selector and
Override systems preferences in a list of selector:sound combinations.
These definitions override the default sounds and thus gives the library
a way to completely redefine what events trigger and audio alert, and
what sounds are played!

Test Plan:
1) Apply this patch
2) Run updatedatabase.pl
3) Edit the new AudioAlertsCustom system preference and enter the following:
"body:contains('Check in message')": "IM_notification.ogg"
4) Browse to the checkins page, you should hear the default sound
5) Attempt to return an invalid barcode, you should hear your custom sound!
Comment 20 Kyle M Hall 2014-07-16 18:10:53 UTC
Created attachment 29764 [details] [review]
Bug 11431 [1] - Replace existing system with no change in functionality

This patch set adds the ability to select which sounds are used for
Koha's audio alerts, and which elements trigger those audio alerts.

Test Plan:
1) Apply this patch set
2) Run updatedatabase.pl
3) Enable the AudioAlerts system preference
4) Test existing sounds
5) Set the various OverrideAudioAlert preferences to different sounds
6) Retest, verify new sounds play
7) Add/remove selectors from the AudioAlertSelector system preferences
8) Observe the difference in audio alert behavior based on your selections
Comment 21 Kyle M Hall 2014-07-16 18:11:10 UTC
Created attachment 29765 [details] [review]
Bug 11431 [2] - Rename soundon to AudioAlerts, move to it's own preference section
Comment 22 Kyle M Hall 2014-07-16 18:11:13 UTC
Created attachment 29766 [details] [review]
Bug 11431 [3] - Add ability to customize the warning, action, and success sounds
Comment 23 Kyle M Hall 2014-07-16 18:11:15 UTC
Created attachment 29767 [details] [review]
Bug 11431 [4] - Add the ability to choose the elements that trigger an audio alert
Comment 24 Kyle M Hall 2014-07-16 18:11:18 UTC
Created attachment 29768 [details] [review]
Bug 11431 [5] - Update sysprefs.sql
Comment 25 Kyle M Hall 2014-07-16 18:11:21 UTC
Created attachment 29769 [details] [review]
Bug 11431 [6] - Add the ability to specify arbitrary audio alerts

This patch further enhances our control over Koha audio alerts by
allowing a library to specify custom audio events. A new system
preference is added the combines the functions of the Selector and
Override systems preferences in a list of selector:sound combinations.
These definitions override the default sounds and thus gives the library
a way to completely redefine what events trigger and audio alert, and
what sounds are played!

Test Plan:
1) Apply this patch
2) Run updatedatabase.pl
3) Edit the new AudioAlertsCustom system preference and enter the following:
"body:contains('Check in message')": "IM_notification.ogg"
4) Browse to the checkins page, you should hear the default sound
5) Attempt to return an invalid barcode, you should hear your custom sound!
Comment 26 Nick Clemens 2014-08-25 16:40:23 UTC
Created attachment 31145 [details] [review]
[SIGNED OFF] Bug 11431 [1] - Replace existing system with no change in functionality

This patch set adds the ability to select which sounds are used for
Koha's audio alerts, and which elements trigger those audio alerts.

Test Plan:
1) Apply this patch set
2) Run updatedatabase.pl
3) Enable the AudioAlerts system preference
4) Test existing sounds
5) Set the various OverrideAudioAlert preferences to different sounds
6) Retest, verify new sounds play
7) Add/remove selectors from the AudioAlertSelector system preferences
8) Observe the difference in audio alert behavior based on your selections

Signed-off-by: Nick Clemens <nick@quecheelibrary.org>
Comment 27 Nick Clemens 2014-08-25 16:40:32 UTC
Created attachment 31146 [details] [review]
[SIGNED OFF] Bug 11431 [2] - Rename soundon to AudioAlerts, move to it's own preference section

Signed-off-by: Nick Clemens <nick@quecheelibrary.org>
Comment 28 Nick Clemens 2014-08-25 16:40:41 UTC
Created attachment 31147 [details] [review]
[SIGNED OFF] Bug 11431 [3] - Add ability to customize the warning, action, and success sounds

Signed-off-by: Nick Clemens <nick@quecheelibrary.org>
Comment 29 Nick Clemens 2014-08-25 16:40:49 UTC
Created attachment 31148 [details] [review]
[SIGNED OFF] Bug 11431 [4] - Add the ability to choose the elements that trigger an audio alert

Signed-off-by: Nick Clemens <nick@quecheelibrary.org>
Comment 30 Nick Clemens 2014-08-25 16:41:00 UTC
Created attachment 31149 [details] [review]
[SIGNED OFF] Bug 11431 [5] - Update sysprefs.sql

Signed-off-by: Nick Clemens <nick@quecheelibrary.org>
Comment 31 Nick Clemens 2014-08-25 16:41:10 UTC
Created attachment 31150 [details] [review]
[SIGNED OFF] Bug 11431 [6] - Add the ability to specify arbitrary audio alerts

This patch further enhances our control over Koha audio alerts by
allowing a library to specify custom audio events. A new system
preference is added the combines the functions of the Selector and
Override systems preferences in a list of selector:sound combinations.
These definitions override the default sounds and thus gives the library
a way to completely redefine what events trigger and audio alert, and
what sounds are played!

Test Plan:
1) Apply this patch
2) Run updatedatabase.pl
3) Edit the new AudioAlertsCustom system preference and enter the following:
"body:contains('Check in message')": "IM_notification.ogg"
4) Browse to the checkins page, you should hear the default sound
5) Attempt to return an invalid barcode, you should hear your custom sound!

Signed-off-by: Nick Clemens <nick@quecheelibrary.org>

All sounds seemed to work with different .ogg .mp3 .wav sound types in firefox and chrome.
Comment 32 Owen Leonard 2014-08-26 18:20:43 UTC
I like the idea of this feature very much, but I have to be honest I find the configuration system for this really confusing. I don't think it's very user-friendly to require that you enter data in a very specific format. What about offering a set of form fields where an arbitrary number of lines could be added:

[ jquery selector ] [ dropdown of existing media files ] - or - [ path to remote file]

You might even be able to roll all of the preferences (except the "enable" one) into such a system if you included the defaults as choices under [ jquery selector].

I'm also curious about the possible performance hit the staff client takes by processing these DOM checks on every page, especially in slower systems. However, I'm not sure what is the best way to test that.

Sorry I know that's a lot to ask after so much time and effort was put into this patch, but I would really like to see a feature as easy to use as the options for choosing an item type image.
Comment 33 Owen Leonard 2014-08-26 18:24:35 UTC
The other thing I noticed when testing this was that it didn't seem that any defaults were honored. After applying the patch and running the update I didn't have any circulation alert sounds anymore. Does this require that I re-enter them? I didn't think so based on my examination of the changes.
Comment 34 Kyle M Hall 2014-08-28 12:21:38 UTC
(In reply to Owen Leonard from comment #33)
> The other thing I noticed when testing this was that it didn't seem that any
> defaults were honored. After applying the patch and running the update I
> didn't have any circulation alert sounds anymore. Does this require that I
> re-enter them? I didn't think so based on my examination of the changes.

That is correct, you should have had the same default sound behavior as before. I'll have to re-test. Are you saying that you had sound alerts at all after patching and updating the db, or was it just a specific sound that was missing?
Comment 35 Kyle M Hall 2014-12-22 18:50:39 UTC
Created attachment 34637 [details] [review]
Bug 11431 [1] - Replace existing system with no change in functionality

This patch set adds the ability to select which sounds are used for
Koha's audio alerts, and which elements trigger those audio alerts.

Test Plan:
1) Apply this patch set
2) Run updatedatabase.pl
3) Enable the AudioAlerts system preference
4) Test existing sounds
5) Set the various OverrideAudioAlert preferences to different sounds
6) Retest, verify new sounds play
7) Add/remove selectors from the AudioAlertSelector system preferences
8) Observe the difference in audio alert behavior based on your selections

Signed-off-by: Nick Clemens <nick@quecheelibrary.org>
Comment 36 Kyle M Hall 2014-12-22 18:50:49 UTC
Created attachment 34638 [details] [review]
Bug 11431 [2] - Rename soundon to AudioAlerts, move to it's own preference section

Signed-off-by: Nick Clemens <nick@quecheelibrary.org>
Comment 37 Kyle M Hall 2014-12-22 18:50:51 UTC
Created attachment 34639 [details] [review]
Bug 11431 [3] - Add ability to customize the warning, action, and success sounds

Signed-off-by: Nick Clemens <nick@quecheelibrary.org>
Comment 38 Kyle M Hall 2014-12-22 18:50:54 UTC
Created attachment 34640 [details] [review]
Bug 11431 [4] - Add the ability to choose the elements that trigger an audio alert

Signed-off-by: Nick Clemens <nick@quecheelibrary.org>
Comment 39 Kyle M Hall 2014-12-22 18:50:57 UTC
Created attachment 34641 [details] [review]
Bug 11431 [5] - Update sysprefs.sql

Signed-off-by: Nick Clemens <nick@quecheelibrary.org>
Comment 40 Kyle M Hall 2014-12-22 18:51:00 UTC
Created attachment 34642 [details] [review]
Bug 11431 [6] - Add the ability to specify arbitrary audio alerts

This patch further enhances our control over Koha audio alerts by
allowing a library to specify custom audio events. A new system
preference is added the combines the functions of the Selector and
Override systems preferences in a list of selector:sound combinations.
These definitions override the default sounds and thus gives the library
a way to completely redefine what events trigger and audio alert, and
what sounds are played!

Test Plan:
1) Apply this patch
2) Run updatedatabase.pl
3) Edit the new AudioAlertsCustom system preference and enter the following:
"body:contains('Check in message')": "IM_notification.ogg"
4) Browse to the checkins page, you should hear the default sound
5) Attempt to return an invalid barcode, you should hear your custom sound!

Signed-off-by: Nick Clemens <nick@quecheelibrary.org>

All sounds seemed to work with different .ogg .mp3 .wav sound types in firefox and chrome.
Comment 41 Kyle M Hall 2014-12-22 18:51:03 UTC
Created attachment 34643 [details] [review]
Bug 11431 [7] - Add new table for audio alerts
Comment 42 Kyle M Hall 2014-12-22 18:51:06 UTC
Created attachment 34644 [details] [review]
Bug 11431 [8] - Add audio alerts editor
Comment 43 Kyle M Hall 2014-12-22 18:51:09 UTC
Created attachment 34645 [details] [review]
Bug 11431 [9] - Remove new system preferences that are no longer needed
Comment 44 Kyle M Hall 2014-12-22 19:12:26 UTC
Created attachment 34646 [details] [review]
Bug 11431 - Update database
Comment 45 Kyle M Hall 2014-12-22 19:12:36 UTC
Created attachment 34647 [details] [review]
Add audio alerts to installer
Comment 46 Kyle M Hall 2014-12-22 19:12:39 UTC
Created attachment 34648 [details] [review]
Bug 11431 - Update schema
Comment 47 Kyle M Hall 2014-12-22 19:12:42 UTC
Created attachment 34649 [details] [review]
Bug 11431 - Add additional sound options

This patch set replaces and extends Koha's current sound options.
This is implemented be removing the existing sound system, and
re-engineering using a table of selector/sound combinations such that
the highest precedence selector that is found in the DOM will trigger
and audio alert. The existing audio behaviors are implemented as a set
of default audio alerts.

Test Plan:
1) Apply this patch set
2) Run updatedatabase.pl
3) Enable the AudioAlerts system preference
4) Test existing sounds
5) Enter the new alerts editor in the admin section
6) Add a new audo alert with the following selector:
    "body:contains('Check in message')",
   choose any sound alert you wish, make sure it's not one of the 3
   sounds already used! Make this selector precedence 1
4) Browse to the checkins page, you should hear the default sound
5) Attempt to return an invalid barcode, you should hear your custom sound!
Comment 48 Kyle M Hall 2014-12-22 19:14:19 UTC
Created attachment 34650 [details] [review]
Bug 11431 [1] - Update database
Comment 49 Kyle M Hall 2014-12-22 19:14:29 UTC
Created attachment 34651 [details] [review]
Bug 11431 [2] - Add audio alerts to installer
Comment 50 Kyle M Hall 2014-12-22 19:14:32 UTC
Created attachment 34652 [details] [review]
Bug 11431 [3] - Update schema
Comment 51 Kyle M Hall 2014-12-22 19:14:35 UTC
Created attachment 34653 [details] [review]
Bug 11431 [4] - Add additional sound options

This patch set replaces and extends Koha's current sound options.
This is implemented be removing the existing sound system, and
re-engineering using a table of selector/sound combinations such that
the highest precedence selector that is found in the DOM will trigger
and audio alert. The existing audio behaviors are implemented as a set
of default audio alerts.

Test Plan:
1) Apply this patch set
2) Run updatedatabase.pl
3) Enable the AudioAlerts system preference
4) Test existing sounds
5) Enter the new alerts editor in the admin section
6) Add a new audo alert with the following selector:
    "body:contains('Check in message')",
   choose any sound alert you wish, make sure it's not one of the 3
   sounds already used! Make this selector precedence 1
4) Browse to the checkins page, you should hear the default sound
5) Attempt to return an invalid barcode, you should hear your custom sound!
Comment 52 Nick Clemens 2014-12-26 22:43:21 UTC
Applying: Bug 11431 [4] - Add additional sound options
fatal: sha1 information is lacking or useless (Koha/Object.pm).
Repository lacks necessary blobs to fall back on 3-way merge.
Cannot fall back to three-way merge.
Patch failed at 0001 Bug 11431 [4] - Add additional sound options
When you have resolved this problem run "git bz apply --continue".
If you would prefer to skip this patch, instead run "git bz apply --skip".
To restore the original branch and stop patching run "git bz apply --abort".
Patch left in /tmp/Bug-11431-4---Add-additional-sound-options-7v_z2F.patch
Comment 53 Nick Clemens 2014-12-26 22:45:25 UTC
forgot the depends
Comment 54 Nick Clemens 2014-12-26 22:57:05 UTC
Still can't test, after applying 13019 and 11431 OPAC functions but I cannot access any pages in staff client, I only get the error below:

Software error:

Template process failed: undef error - hash- or arrayref expected (not a simple scalar, use allow_nonref to allow this) at /home/nick/kohaclone/Koha/Template/Plugin/Koha.pm line 52.
For help, please send mail to the webmaster ([no address given]), giving this error message and the time and date of the error.
Comment 55 Nick Clemens 2014-12-27 14:21:31 UTC
Was an issue with updatedatabase, cleared and tested on two different machines and worked in both Chrome and firefox with ogg, wav and mp3.
Comment 56 Nick Clemens 2014-12-27 14:22:32 UTC
Created attachment 34717 [details] [review]
[SIGNED OFF]Bug 11431 [1] - Update database

Signed-off-by: Nick Clemens <nick@quecheelibrary.org>
Comment 57 Nick Clemens 2014-12-27 14:22:41 UTC
Created attachment 34718 [details] [review]
[SIGNED OFF]Bug 11431 [2] - Add audio alerts to installer

http://bugs.koha-community.org/show_bug.cgi?id=11431
Signed-off-by: Nick Clemens <nick@quecheelibrary.org>
Comment 58 Nick Clemens 2014-12-27 14:22:51 UTC
Created attachment 34719 [details] [review]
[SIGNED OFF]Bug 11431 [3] - Update schema

Signed-off-by: Nick Clemens <nick@quecheelibrary.org>
Comment 59 Nick Clemens 2014-12-27 14:23:02 UTC
Created attachment 34720 [details] [review]
[SIGNED OFF]Bug 11431 [4] - Add additional sound options

This patch set replaces and extends Koha's current sound options.
This is implemented be removing the existing sound system, and
re-engineering using a table of selector/sound combinations such that
the highest precedence selector that is found in the DOM will trigger
and audio alert. The existing audio behaviors are implemented as a set
of default audio alerts.

Test Plan:
1) Apply this patch set
2) Run updatedatabase.pl
3) Enable the AudioAlerts system preference
4) Test existing sounds
5) Enter the new alerts editor in the admin section
6) Add a new audo alert with the following selector:
    "body:contains('Check in message')",
   choose any sound alert you wish, make sure it's not one of the 3
   sounds already used! Make this selector precedence 1
4) Browse to the checkins page, you should hear the default sound
5) Attempt to return an invalid barcode, you should hear your custom sound!

Signed-off-by: Nick Clemens <nick@quecheelibrary.org>
Comment 60 Kyle M Hall 2015-01-02 13:19:25 UTC
Created attachment 34864 [details] [review]
Bug 11431 [1] - Update database

Signed-off-by: Nick Clemens <nick@quecheelibrary.org>
Comment 61 Kyle M Hall 2015-01-02 13:19:35 UTC
Created attachment 34865 [details] [review]
Bug 11431 [2] - Add audio alerts to installer

http://bugs.koha-community.org/show_bug.cgi?id=11431
Signed-off-by: Nick Clemens <nick@quecheelibrary.org>
Comment 62 Kyle M Hall 2015-01-02 13:19:38 UTC
Created attachment 34866 [details] [review]
Bug 11431 [3] - Update schema

Signed-off-by: Nick Clemens <nick@quecheelibrary.org>
Comment 63 Kyle M Hall 2015-01-02 13:19:41 UTC
Created attachment 34867 [details] [review]
Bug 11431 [4] - Add additional sound options

This patch set replaces and extends Koha's current sound options.
This is implemented be removing the existing sound system, and
re-engineering using a table of selector/sound combinations such that
the highest precedence selector that is found in the DOM will trigger
and audio alert. The existing audio behaviors are implemented as a set
of default audio alerts.

Test Plan:
1) Apply this patch set
2) Run updatedatabase.pl
3) Enable the AudioAlerts system preference
4) Test existing sounds
5) Enter the new alerts editor in the admin section
6) Add a new audo alert with the following selector:
    "body:contains('Check in message')",
   choose any sound alert you wish, make sure it's not one of the 3
   sounds already used! Make this selector precedence 1
4) Browse to the checkins page, you should hear the default sound
5) Attempt to return an invalid barcode, you should hear your custom sound!

Signed-off-by: Nick Clemens <nick@quecheelibrary.org>
Comment 64 Kyle M Hall 2015-02-11 15:49:14 UTC
Created attachment 35843 [details] [review]
Bug 11431 [1] - Update database

Signed-off-by: Nick Clemens <nick@quecheelibrary.org>
Comment 65 Kyle M Hall 2015-02-11 15:49:24 UTC
Created attachment 35844 [details] [review]
Bug 11431 [2] - Add audio alerts to installer

http://bugs.koha-community.org/show_bug.cgi?id=11431
Signed-off-by: Nick Clemens <nick@quecheelibrary.org>
Comment 66 Kyle M Hall 2015-02-11 15:49:27 UTC
Created attachment 35845 [details] [review]
Bug 11431 [3] - Update schema

Signed-off-by: Nick Clemens <nick@quecheelibrary.org>
Comment 67 Kyle M Hall 2015-02-11 15:49:31 UTC
Created attachment 35846 [details] [review]
Bug 11431 [4] - Add additional sound options

This patch set replaces and extends Koha's current sound options.
This is implemented be removing the existing sound system, and
re-engineering using a table of selector/sound combinations such that
the highest precedence selector that is found in the DOM will trigger
and audio alert. The existing audio behaviors are implemented as a set
of default audio alerts.

Test Plan:
1) Apply this patch set
2) Run updatedatabase.pl
3) Enable the AudioAlerts system preference
4) Test existing sounds
5) Enter the new alerts editor in the admin section
6) Add a new audo alert with the following selector:
    "body:contains('Check in message')",
   choose any sound alert you wish, make sure it's not one of the 3
   sounds already used! Make this selector precedence 1
4) Browse to the checkins page, you should hear the default sound
5) Attempt to return an invalid barcode, you should hear your custom sound!

Signed-off-by: Nick Clemens <nick@quecheelibrary.org>
Comment 68 paxed 2015-02-12 06:17:11 UTC
(In reply to Kyle M Hall from comment #67)
> Created attachment 35846 [details] [review] [review]

Just wondering if http:// vs https:// matters for this:

+    // This is way faster than substring
+    if ( ! ( sound.charAt(4) == ':' && sound.charAt(5) == '/' && sound.charAt(6) == '/' ) ) {
Comment 69 Jonathan Druart 2015-02-19 14:04:26 UTC
(In reply to paxed from comment #68)
> (In reply to Kyle M Hall from comment #67)
> > Created attachment 35846 [details] [review] [review] [review]
> 
> Just wondering if http:// vs https:// matters for this:
> 
> +    // This is way faster than substring
> +    if ( ! ( sound.charAt(4) == ':' && sound.charAt(5) == '/' &&
> sound.charAt(6) == '/' ) ) {

Good catch, maybe a regex is much more appropriate here.
Comment 70 Jeremy Wellner 2015-04-17 20:53:09 UTC
Our libraries workflow would be greatly enhanced by getting this enhancement wrapped up and pushed for release.

Can someone take some time to look at this again?
Comment 71 Kyle M Hall 2015-04-27 11:50:45 UTC
Created attachment 38547 [details] [review]
Bug 11431 [QA Followup] - Allow https in sound URLs
Comment 72 Kyle M Hall 2015-04-27 11:53:41 UTC
Created attachment 38548 [details] [review]
Bug 11431 [QA Followup] - Fix POD
Comment 73 Jonathan Druart 2015-06-23 09:29:52 UTC
This does not apply.

You should change the collate of the new table, remove the "soundon" occurrence in C4/UsageStats.pm.

I am a bit concerned by the Koha::Template::Plugin::Koha::AudioAlerts subroutine, not sure it's the best place to put it.
Comment 74 Kyle M Hall 2015-06-30 11:10:28 UTC
Created attachment 40726 [details] [review]
Bug 11431 [1] - Update database

Signed-off-by: Nick Clemens <nick@quecheelibrary.org>
Comment 75 Kyle M Hall 2015-06-30 11:10:36 UTC
Created attachment 40727 [details] [review]
Bug 11431 [2] - Add audio alerts to installer

http://bugs.koha-community.org/show_bug.cgi?id=11431
Signed-off-by: Nick Clemens <nick@quecheelibrary.org>
Comment 76 Kyle M Hall 2015-06-30 11:10:39 UTC
Created attachment 40728 [details] [review]
Bug 11431 [3] - Update schema

Signed-off-by: Nick Clemens <nick@quecheelibrary.org>
Comment 77 Kyle M Hall 2015-06-30 11:10:43 UTC
Created attachment 40729 [details] [review]
Bug 11431 [4] - Add additional sound options

This patch set replaces and extends Koha's current sound options.
This is implemented be removing the existing sound system, and
re-engineering using a table of selector/sound combinations such that
the highest precedence selector that is found in the DOM will trigger
and audio alert. The existing audio behaviors are implemented as a set
of default audio alerts.

Test Plan:
1) Apply this patch set
2) Run updatedatabase.pl
3) Enable the AudioAlerts system preference
4) Test existing sounds
5) Enter the new alerts editor in the admin section
6) Add a new audo alert with the following selector:
    "body:contains('Check in message')",
   choose any sound alert you wish, make sure it's not one of the 3
   sounds already used! Make this selector precedence 1
4) Browse to the checkins page, you should hear the default sound
5) Attempt to return an invalid barcode, you should hear your custom sound!

Signed-off-by: Nick Clemens <nick@quecheelibrary.org>
Comment 78 Kyle M Hall 2015-06-30 11:10:46 UTC
Created attachment 40730 [details] [review]
Bug 11431 [QA Followup] - Allow https in sound URLs
Comment 79 Kyle M Hall 2015-06-30 11:10:48 UTC
Created attachment 40731 [details] [review]
Bug 11431 [QA Followup] - Fix POD
Comment 80 Kyle M Hall 2015-06-30 11:13:00 UTC
Created attachment 40732 [details] [review]
Bug 11431 - Update UsageStats.pm
Comment 81 Jonathan Druart 2015-08-05 13:55:55 UTC
QA comments:

1/ There are no tests for new modules
2/ I really would like to see Koha::Template::Plugin::Koha::AudioAlerts moved somewhere else
3/ SyntaxError: missing ) after condition
ndexOf('http://') == 0 || sound.indexOf('https://') == 0  ) {

Marked as Failed QA.
Comment 82 Kyle M Hall 2015-08-18 18:23:37 UTC
Created attachment 41634 [details] [review]
Bug 11431 [QA Followup] - Fix js error
Comment 83 Kyle M Hall 2015-08-19 11:55:59 UTC
Created attachment 41661 [details] [review]
Bug 11431 [QA Followup] - Unit Tests
Comment 84 Kyle M Hall 2015-08-19 12:02:47 UTC
Created attachment 41662 [details] [review]
Bug 11431 [QA Followup] - Simplify audio_alert_id to just id
Comment 85 Kyle M Hall 2015-08-19 12:05:47 UTC
(In reply to Kyle M Hall from comment #84)
> Created attachment 41662 [details] [review] [review]
> Bug 11431 [QA Followup] - Simplify audio_alert_id to just id

audio_alert_id is very wordy and it's a better convention to just give the table id the name 'id'. No changes in the code were needed since I was already using the id() method. Unit tests pass pre and post patch.
Comment 86 Jonathan Druart 2015-09-03 11:11:03 UTC
CONFLICT (content): Merge conflict in koha-tmpl/intranet-tmpl/prog/en/modules/admin/preferences/staff_client.pref
CONFLICT (content): Merge conflict in Koha/Template/Plugin/Koha.pm


(In reply to Jonathan Druart from comment #81)
> 2/ I really would like to see Koha::Template::Plugin::Koha::AudioAlerts
> moved somewhere else

Still needs an answer.
Are not you afraid that this plugin become a holdall?
Comment 87 Kyle M Hall 2015-09-17 14:33:24 UTC
Created attachment 42678 [details] [review]
Bug 11431 [1] - Update database

Signed-off-by: Nick Clemens <nick@quecheelibrary.org>
Comment 88 Kyle M Hall 2015-09-17 14:33:33 UTC
Created attachment 42679 [details] [review]
Bug 11431 [2] - Add audio alerts to installer

http://bugs.koha-community.org/show_bug.cgi?id=11431
Signed-off-by: Nick Clemens <nick@quecheelibrary.org>
Comment 89 Kyle M Hall 2015-09-17 14:33:37 UTC
Created attachment 42680 [details] [review]
Bug 11431 [3] - Update schema

Signed-off-by: Nick Clemens <nick@quecheelibrary.org>
Comment 90 Kyle M Hall 2015-09-17 14:33:41 UTC
Created attachment 42681 [details] [review]
Bug 11431 [4] - Add additional sound options

This patch set replaces and extends Koha's current sound options.
This is implemented be removing the existing sound system, and
re-engineering using a table of selector/sound combinations such that
the highest precedence selector that is found in the DOM will trigger
and audio alert. The existing audio behaviors are implemented as a set
of default audio alerts.

Test Plan:
1) Apply this patch set
2) Run updatedatabase.pl
3) Enable the AudioAlerts system preference
4) Test existing sounds
5) Enter the new alerts editor in the admin section
6) Add a new audo alert with the following selector:
    "body:contains('Check in message')",
   choose any sound alert you wish, make sure it's not one of the 3
   sounds already used! Make this selector precedence 1
4) Browse to the checkins page, you should hear the default sound
5) Attempt to return an invalid barcode, you should hear your custom sound!

Signed-off-by: Nick Clemens <nick@quecheelibrary.org>
Comment 91 Kyle M Hall 2015-09-17 14:33:44 UTC
Created attachment 42682 [details] [review]
Bug 11431 [QA Followup] - Allow https in sound URLs
Comment 92 Kyle M Hall 2015-09-17 14:33:48 UTC
Created attachment 42683 [details] [review]
Bug 11431 [QA Followup] - Fix POD
Comment 93 Kyle M Hall 2015-09-17 14:33:52 UTC
Created attachment 42684 [details] [review]
Bug 11431 - Update UsageStats.pm
Comment 94 Kyle M Hall 2015-09-17 14:33:55 UTC
Created attachment 42685 [details] [review]
Bug 11431 [QA Followup] - Fix js error
Comment 95 Kyle M Hall 2015-09-17 14:33:59 UTC
Created attachment 42686 [details] [review]
Bug 11431 [QA Followup] - Unit Tests
Comment 96 Kyle M Hall 2015-09-17 14:34:04 UTC
Created attachment 42687 [details] [review]
Bug 11431 [QA Followup] - Simplify audio_alert_id to just id
Comment 97 Kyle M Hall 2015-09-17 15:05:44 UTC
Created attachment 42688 [details] [review]
Bug 11431 [QA Followup] - Move AudioAlerts to a separate plugin
Comment 98 Kyle M Hall 2015-09-17 15:05:56 UTC
Created attachment 42689 [details] [review]
Bug 11431 [QA Followup] - Hard code list of sounds for security

The sounds directory is no longer available for listing for security.
It is better and safer to hard code the list of sounds.
Comment 99 Kyle M Hall 2015-09-17 15:06:59 UTC
(In reply to Jonathan Druart from comment #86)
> CONFLICT (content): Merge conflict in
> koha-tmpl/intranet-tmpl/prog/en/modules/admin/preferences/staff_client.pref
> CONFLICT (content): Merge conflict in Koha/Template/Plugin/Koha.pm

Fixed!

> (In reply to Jonathan Druart from comment #81)
> > 2/ I really would like to see Koha::Template::Plugin::Koha::AudioAlerts
> > moved somewhere else
> 
> Still needs an answer.
> Are not you afraid that this plugin become a holdall?

I understand what you mean. Fixed!
Comment 100 Nick Clemens 2015-09-17 21:39:10 UTC
Tested just to confirm my sign off.  Test plan works as expected.

Minor bug:  If you delete a sound alert, the preferences are not automatically renumbered and you get an error if you try to move another alert into the empty slot.

To recreate:
1 - Add an alert (example in test plan works fine)
2 - Move it to priority 2
3 - Delete it
4 - Remaining alerts are preference 1,3,4
5 - Try to move #3 up one slot
6 - Receive error: Can't call method "precedence" on an undefined value at /home/nick/kohaclone/Koha/AudioAlerts.pm line 96.
7 - Back up, move alert number 3 to top (second arrow)
8 - Priorities are renumbered correctly
Comment 101 Kyle M Hall 2015-09-18 10:36:47 UTC
Created attachment 42696 [details] [review]
Bug 11431 [QA Followup] - Fix alter precedences on delete
Comment 102 Kyle M Hall 2015-09-18 10:40:32 UTC
Thanks for catching that! Followup posted!

(In reply to Nick Clemens from comment #100)
> Tested just to confirm my sign off.  Test plan works as expected.
> 
> Minor bug:  If you delete a sound alert, the preferences are not
> automatically renumbered and you get an error if you try to move another
> alert into the empty slot.
> 
> To recreate:
> 1 - Add an alert (example in test plan works fine)
> 2 - Move it to priority 2
> 3 - Delete it
> 4 - Remaining alerts are preference 1,3,4
> 5 - Try to move #3 up one slot
> 6 - Receive error: Can't call method "precedence" on an undefined value at
> /home/nick/kohaclone/Koha/AudioAlerts.pm line 96.
> 7 - Back up, move alert number 3 to top (second arrow)
> 8 - Priorities are renumbered correctly
Comment 103 Katrin Fischer 2015-10-22 06:28:11 UTC
Patch doesn't apply - please fix!
Comment 104 Kyle M Hall 2015-10-22 12:44:29 UTC
Created attachment 43753 [details] [review]
Bug 11431 [1] - Update database

Signed-off-by: Nick Clemens <nick@quecheelibrary.org>
Comment 105 Kyle M Hall 2015-10-22 12:44:38 UTC
Created attachment 43754 [details] [review]
Bug 11431 [2] - Add audio alerts to installer

http://bugs.koha-community.org/show_bug.cgi?id=11431
Signed-off-by: Nick Clemens <nick@quecheelibrary.org>
Comment 106 Kyle M Hall 2015-10-22 12:44:41 UTC
Created attachment 43755 [details] [review]
Bug 11431 [3] - Update schema

Signed-off-by: Nick Clemens <nick@quecheelibrary.org>
Comment 107 Kyle M Hall 2015-10-22 12:44:45 UTC
Created attachment 43756 [details] [review]
Bug 11431 [4] - Add additional sound options

This patch set replaces and extends Koha's current sound options.
This is implemented be removing the existing sound system, and
re-engineering using a table of selector/sound combinations such that
the highest precedence selector that is found in the DOM will trigger
and audio alert. The existing audio behaviors are implemented as a set
of default audio alerts.

Test Plan:
1) Apply this patch set
2) Run updatedatabase.pl
3) Enable the AudioAlerts system preference
4) Test existing sounds
5) Enter the new alerts editor in the admin section
6) Add a new audo alert with the following selector:
    "body:contains('Check in message')",
   choose any sound alert you wish, make sure it's not one of the 3
   sounds already used! Make this selector precedence 1
4) Browse to the checkins page, you should hear the default sound
5) Attempt to return an invalid barcode, you should hear your custom sound!

Signed-off-by: Nick Clemens <nick@quecheelibrary.org>
Comment 108 Kyle M Hall 2015-10-22 12:44:49 UTC
Created attachment 43757 [details] [review]
Bug 11431 [QA Followup] - Allow https in sound URLs
Comment 109 Kyle M Hall 2015-10-22 12:44:53 UTC
Created attachment 43758 [details] [review]
Bug 11431 [QA Followup] - Fix POD
Comment 110 Kyle M Hall 2015-10-22 12:44:56 UTC
Created attachment 43759 [details] [review]
Bug 11431 - Update UsageStats.pm
Comment 111 Kyle M Hall 2015-10-22 12:45:00 UTC
Created attachment 43760 [details] [review]
Bug 11431 [QA Followup] - Fix js error
Comment 112 Kyle M Hall 2015-10-22 12:45:04 UTC
Created attachment 43761 [details] [review]
Bug 11431 [QA Followup] - Unit Tests
Comment 113 Kyle M Hall 2015-10-22 12:45:08 UTC
Created attachment 43762 [details] [review]
Bug 11431 [QA Followup] - Simplify audio_alert_id to just id
Comment 114 Kyle M Hall 2015-10-22 12:45:12 UTC
Created attachment 43763 [details] [review]
Bug 11431 [QA Followup] - Move AudioAlerts to a separate plugin
Comment 115 Kyle M Hall 2015-10-22 12:45:15 UTC
Created attachment 43764 [details] [review]
Bug 11431 [QA Followup] - Hard code list of sounds for security

The sounds directory is no longer available for listing for security.
It is better and safer to hard code the list of sounds.
Comment 116 Kyle M Hall 2015-10-22 12:45:19 UTC
Created attachment 43765 [details] [review]
Bug 11431 [QA Followup] - Fix alter precedences on delete
Comment 117 Katrin Fischer 2015-10-22 22:57:37 UTC
Hi Kyle,

one small thing: If AudioAlerts is turned off the 'play' button on the administration page won't work and save the entry instead. That was quite confusing. I think independent of the AudioAlerts setting, you should be able to 'preview' the sounds on the admin page. The second best solution would be to not display the play button in this case.

Enhancement ideas:
- I'd really really like an option to play the sounds of saved entries for easier testing and also the option of editing the entries - if you get your selector wrong, it can be quite annoying to delete and start over.
- Adding an example to the help page would be great. The example on the bug report is not quite so good, as it relies on the existence of an English string in a certain place and would be hard to translate, but maybe another example that is based on a class or id?

Can you please take a look?
Comment 118 Kyle M Hall 2015-10-23 11:06:04 UTC
Created attachment 43817 [details] [review]
Bug 11431 [QA Followup] - Always allow audio alerts for audio alerts editor page
Comment 119 Kyle M Hall 2015-10-23 11:55:49 UTC
Created attachment 43820 [details] [review]
Bug 11431 [QA Followup] - Add ability to edit audio alerts
Comment 120 Kyle M Hall 2015-10-23 12:16:13 UTC
Created attachment 43821 [details] [review]
Bug 11431 [QA Followup] - Update help
Comment 121 Kyle M Hall 2015-10-23 12:25:14 UTC
Created attachment 43822 [details] [review]
Bug 11431 [QA Followup] - Add ability to edit audio alerts
Comment 122 Kyle M Hall 2015-10-23 12:25:25 UTC
Created attachment 43823 [details] [review]
Bug 11431 [QA Followup] - Update help
Comment 123 Kyle M Hall 2015-10-23 12:31:07 UTC
Created attachment 43824 [details] [review]
Bug 11431 [QA Followup] - Update help
Comment 124 Kyle M Hall 2015-10-23 12:31:24 UTC
Created attachment 43825 [details] [review]
Bug 11431 [QA Followup] - Add ability to edit audio alerts
Comment 125 Katrin Fischer 2015-10-24 10:04:44 UTC
Created attachment 43887 [details] [review]
[PASSED QA] Bug 11431 [1] - Update database

Signed-off-by: Nick Clemens <nick@quecheelibrary.org>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 126 Katrin Fischer 2015-10-24 10:04:48 UTC
Created attachment 43888 [details] [review]
[PASSED QA] Bug 11431 [2] - Add audio alerts to installer

http://bugs.koha-community.org/show_bug.cgi?id=11431
Signed-off-by: Nick Clemens <nick@quecheelibrary.org>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 127 Katrin Fischer 2015-10-24 10:04:53 UTC
Created attachment 43889 [details] [review]
[PASSED QA] Bug 11431 [3] - Update schema

Signed-off-by: Nick Clemens <nick@quecheelibrary.org>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 128 Katrin Fischer 2015-10-24 10:04:59 UTC
Created attachment 43890 [details] [review]
[PASSED QA] Bug 11431 [4] - Add additional sound options

This patch set replaces and extends Koha's current sound options.
This is implemented be removing the existing sound system, and
re-engineering using a table of selector/sound combinations such that
the highest precedence selector that is found in the DOM will trigger
and audio alert. The existing audio behaviors are implemented as a set
of default audio alerts.

Test Plan:
1) Apply this patch set
2) Run updatedatabase.pl
3) Enable the AudioAlerts system preference
4) Test existing sounds
5) Enter the new alerts editor in the admin section
6) Add a new audo alert with the following selector:
    "body:contains('Check in message')",
   choose any sound alert you wish, make sure it's not one of the 3
   sounds already used! Make this selector precedence 1
4) Browse to the checkins page, you should hear the default sound
5) Attempt to return an invalid barcode, you should hear your custom sound!

Signed-off-by: Nick Clemens <nick@quecheelibrary.org>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 129 Katrin Fischer 2015-10-24 10:05:03 UTC
Created attachment 43891 [details] [review]
[PASSED QA] Bug 11431 [QA Followup] - Allow https in sound URLs

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 130 Katrin Fischer 2015-10-24 10:05:08 UTC
Created attachment 43892 [details] [review]
[PASSED QA] Bug 11431 [QA Followup] - Fix POD

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 131 Katrin Fischer 2015-10-24 10:05:13 UTC
Created attachment 43893 [details] [review]
[PASSED QA] Bug 11431 - Update UsageStats.pm

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 132 Katrin Fischer 2015-10-24 10:05:18 UTC
Created attachment 43894 [details] [review]
[PASSED QA] Bug 11431 [QA Followup] - Fix js error

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 133 Katrin Fischer 2015-10-24 10:05:23 UTC
Created attachment 43895 [details] [review]
[PASSED QA] Bug 11431 [QA Followup] - Unit Tests

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 134 Katrin Fischer 2015-10-24 10:05:27 UTC
Created attachment 43896 [details] [review]
[PASSED QA] Bug 11431 [QA Followup] - Simplify audio_alert_id to just id

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 135 Katrin Fischer 2015-10-24 10:05:32 UTC
Created attachment 43897 [details] [review]
[PASSED QA] Bug 11431 [QA Followup] - Move AudioAlerts to a separate plugin

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 136 Katrin Fischer 2015-10-24 10:05:37 UTC
Created attachment 43898 [details] [review]
[PASSED QA] Bug 11431 [QA Followup] - Hard code list of sounds for security

The sounds directory is no longer available for listing for security.
It is better and safer to hard code the list of sounds.

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 137 Katrin Fischer 2015-10-24 10:05:42 UTC
Created attachment 43899 [details] [review]
[PASSED QA] Bug 11431 [QA Followup] - Fix alter precedences on delete

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 138 Katrin Fischer 2015-10-24 10:05:47 UTC
Created attachment 43900 [details] [review]
[PASSED QA] Bug 11431 [QA Followup] - Always allow audio alerts for audio alerts editor page

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 139 Katrin Fischer 2015-10-24 10:05:52 UTC
Created attachment 43901 [details] [review]
[PASSED QA] Bug 11431 [QA Followup] - Update help

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 140 Katrin Fischer 2015-10-24 10:05:56 UTC
Created attachment 43902 [details] [review]
[PASSED QA] Bug 11431 [QA Followup] - Add ability to edit audio alerts

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 141 Katrin Fischer 2015-10-24 10:06:01 UTC
Created attachment 43903 [details] [review]
Bug 11431: QA follow-up: Typo in help file / variable name

Fixes the variable name to avoid a double-up that made it
impossible to turn off the sounds in general. If AudioAlerts
are turned off, they will only work on the audio administration
page now so you can set up and test the different sounds there.

Also fixes a little typo in the help file.
Comment 142 Kyle M Hall 2015-11-04 15:12:19 UTC
Created attachment 44391 [details] [review]
Bug 11431 [QA Followup] - Make audio alerts sql top level

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Comment 143 Kyle M Hall 2015-11-04 15:15:11 UTC
Created attachment 44392 [details] [review]
Bug 11431 [1] - Update database

Signed-off-by: Nick Clemens <nick@quecheelibrary.org>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 144 Kyle M Hall 2015-11-04 15:15:22 UTC
Created attachment 44393 [details] [review]
Bug 11431 [2] - Add audio alerts to installer

http://bugs.koha-community.org/show_bug.cgi?id=11431
Signed-off-by: Nick Clemens <nick@quecheelibrary.org>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 145 Kyle M Hall 2015-11-04 15:15:26 UTC
Created attachment 44394 [details] [review]
Bug 11431 [3] - Update schema

Signed-off-by: Nick Clemens <nick@quecheelibrary.org>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 146 Kyle M Hall 2015-11-04 15:15:33 UTC
Created attachment 44395 [details] [review]
Bug 11431 [4] - Add additional sound options

This patch set replaces and extends Koha's current sound options.
This is implemented be removing the existing sound system, and
re-engineering using a table of selector/sound combinations such that
the highest precedence selector that is found in the DOM will trigger
and audio alert. The existing audio behaviors are implemented as a set
of default audio alerts.

Test Plan:
1) Apply this patch set
2) Run updatedatabase.pl
3) Enable the AudioAlerts system preference
4) Test existing sounds
5) Enter the new alerts editor in the admin section
6) Add a new audo alert with the following selector:
    "body:contains('Check in message')",
   choose any sound alert you wish, make sure it's not one of the 3
   sounds already used! Make this selector precedence 1
4) Browse to the checkins page, you should hear the default sound
5) Attempt to return an invalid barcode, you should hear your custom sound!

Signed-off-by: Nick Clemens <nick@quecheelibrary.org>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 147 Kyle M Hall 2015-11-04 15:15:38 UTC
Created attachment 44396 [details] [review]
Bug 11431 [QA Followup] - Allow https in sound URLs

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 148 Kyle M Hall 2015-11-04 15:15:44 UTC
Created attachment 44397 [details] [review]
Bug 11431 [QA Followup] - Fix POD

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 149 Kyle M Hall 2015-11-04 15:15:50 UTC
Created attachment 44398 [details] [review]
Bug 11431 - Update UsageStats.pm

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 150 Kyle M Hall 2015-11-04 15:15:56 UTC
Created attachment 44399 [details] [review]
Bug 11431 [QA Followup] - Fix js error

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 151 Kyle M Hall 2015-11-04 15:16:02 UTC
Created attachment 44400 [details] [review]
Bug 11431 [QA Followup] - Unit Tests

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 152 Kyle M Hall 2015-11-04 15:16:08 UTC
Created attachment 44401 [details] [review]
Bug 11431 [QA Followup] - Simplify audio_alert_id to just id

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 153 Kyle M Hall 2015-11-04 15:16:13 UTC
Created attachment 44402 [details] [review]
Bug 11431 [QA Followup] - Move AudioAlerts to a separate plugin

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 154 Kyle M Hall 2015-11-04 15:16:20 UTC
Created attachment 44404 [details] [review]
Bug 11431 [QA Followup] - Hard code list of sounds for security

The sounds directory is no longer available for listing for security.
It is better and safer to hard code the list of sounds.

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 155 Kyle M Hall 2015-11-04 15:16:25 UTC
Created attachment 44405 [details] [review]
Bug 11431 [QA Followup] - Fix alter precedences on delete

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 156 Kyle M Hall 2015-11-04 15:16:30 UTC
Created attachment 44407 [details] [review]
Bug 11431 [QA Followup] - Always allow audio alerts for audio alerts editor page

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 157 Kyle M Hall 2015-11-04 15:16:36 UTC
Created attachment 44408 [details] [review]
Bug 11431 [QA Followup] - Update help

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 158 Kyle M Hall 2015-11-04 15:16:43 UTC
Created attachment 44409 [details] [review]
Bug 11431 [QA Followup] - Add ability to edit audio alerts

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 159 Kyle M Hall 2015-11-04 15:16:49 UTC
Created attachment 44411 [details] [review]
Bug 11431: QA follow-up: Typo in help file / variable name

Fixes the variable name to avoid a double-up that made it
impossible to turn off the sounds in general. If AudioAlerts
are turned off, they will only work on the audio administration
page now so you can set up and test the different sounds there.

Also fixes a little typo in the help file.
Comment 160 Kyle M Hall 2015-11-04 15:16:55 UTC
Created attachment 44412 [details] [review]
Bug 11431 [QA Followup] - Make audio alerts sql top level

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Comment 161 Tomás Cohen Arazi 2015-11-04 15:56:14 UTC
Patches pushed to master.

Great job Kyle!
Comment 162 Tomás Cohen Arazi 2015-11-06 18:11:46 UTC
Created attachment 44599 [details] [review]
Bug 11431: (QA followup) remove diags

Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>
Comment 163 Jonathan Druart 2015-11-25 13:20:14 UTC
Created attachment 45135 [details] [review]
Bug 11431: (follow-up) Update database

This patch specifies the collate for the new audio_alerts table to the updatedb entry.